## API

### Classes

- [OpenApiConfigService](../wiki/Class.OpenApiConfigService)
- [OpenApiHttpResponseError](../wiki/Class.OpenApiHttpResponseError)
- [RxapOpenApiError](../wiki/Class.RxapOpenApiError)
- [SchemaValidationMixin](../wiki/Class.SchemaValidationMixin)

### Interfaces

- [OpenApiInitOptions](../wiki/Interface.OpenApiInitOptions)
- [OpenApiMetaData](../wiki/Interface.OpenApiMetaData)
- [OperationObjectWithMetadata](../wiki/Interface.OperationObjectWithMetadata)
- [SchemaValidationResponse](../wiki/Interface.SchemaValidationResponse)

### Type Aliases

- [OperationMap](../wiki/TypeAlias.OperationMap)

### Variables

- [DEFAULT_OPEN_API_DATA_SOURCE_META_DATA](../wiki/Variable.DEFAULT_OPEN_API_DATA_SOURCE_META_DATA)
- [DEFAULT_OPEN_API_REMOTE_METHOD_META_DATA](../wiki/Variable.DEFAULT_OPEN_API_REMOTE_METHOD_META_DATA)
- [DISABLE_SCHEMA_VALIDATION](../wiki/Variable.DISABLE_SCHEMA_VALIDATION)
- [DISABLE_VALIDATION](../wiki/Variable.DISABLE_VALIDATION)
- [RXAP_OPEN_API_CONFIG](../wiki/Variable.RXAP_OPEN_API_CONFIG)
- [RXAP_OPEN_API_STRICT_VALIDATOR](../wiki/Variable.RXAP_OPEN_API_STRICT_VALIDATOR)

### Functions

- [AssertOpenApiV3](../wiki/Function.AssertOpenApiV3)
- [IsOpenApiV3](../wiki/Function.IsOpenApiV3)
- [IsReferenceObject](../wiki/Function.IsReferenceObject)
- [NotContainsReferenceObjects](../wiki/Function.NotContainsReferenceObjects)
- [OpenApiInit](../wiki/Function.OpenApiInit)
